(function($) {


		if(window.adminpage == 'update-core-php') {
			$('form[name="upgrade-themes"]').on('submit', function(e) {
				var $form = $(this);
				if($(':input[name="checked[]"][value="fribba"]', $form).is(':checked')) {
					e.preventDefault();
					$("body").prepend(spinner);
					$.get(fribba_admin_data.ajax_url +'?'+ $.param({action:'wow_theme_update_confirmation'}), function(html) {
						$(".spinner_holder").remove();
						$(html).appendTo('body').modal();
					});
							
					$(document).on('change', '#fribba-confirm-checkbox', function() {
						$('#fribba-confirm-button').prop('disabled', !$(this).is(':checked'));
					});
					$(document).on('click', '#fribba-confirm-button', function(e) {
						e.preventDefault();
						$('form[name="upgrade-themes"]').off('submit');
						$form.submit();
					});
				}
			});
		}
		

		if(window.adminpage == 'themes-php') {

			var themes = window.wp.themes;
			themes.view.Theme = themes.view.Theme.extend({

				events: {
					'click': themes.isInstall ? 'preview': 'expand',
					'click .theme-install': 'installTheme',
					'click .update-message': 'updateFribba'
				},
				updateFribba: function( event ) {
					var self = this;

					event = event || window.event;
										
					if( this.model.get( 'id' ) == "fribba" ){
						
						var _this = this;
						
						$(document).on('click','.update-message button.button-link', function (event) {
							$("body").prepend(spinner);
							$.get(fribba_admin_data.ajax_url +'?'+ $.param({action:'wow_theme_update_confirmation'}), function(html) {
								$(".spinner_holder").remove();
								$(html).appendTo('body').modal();
							});
							
							$(document).on('change', '#fribba-confirm-checkbox', function() {
								$('#fribba-confirm-button').prop('disabled', !$(this).is(':checked'));
							});
							$(document).on('click', '#fribba-confirm-button', function(e) {
								e.preventDefault();
								_this.updateTheme(event);
								$.modal().close();
							});							
						});												
					}
				},				
			});

			themes.view.Details = themes.view.Details.extend({
				events: {
					'click': 'collapse',
					'click .delete-theme': 'deleteTheme',
					'click .left': 'previousTheme',
					'click .right': 'nextTheme',
					'click #update-theme': 'updateFribba'
				},

				updateFribba: function( event ) {
					var _this = this;
					event.preventDefault();
					if(this.model.get( 'id' ) == 'fribba') {
						var _this = this;
						event.preventDefault();
						
						$("body").prepend(spinner);		
						$.get(fribba_admin_data.ajax_url +'?'+ $.param({action:'wow_theme_update_confirmation'}), function(html) {
							$(".spinner_holder").remove();
							$(html).appendTo('body').modal();
						});		
						
						$(document).on('change', '#fribba-confirm-checkbox', function() {
							$('#fribba-confirm-button').prop('disabled', !$(this).is(':checked'));
						});
						$(document).on('click', '#fribba-confirm-button', function(e) {
							e.preventDefault();
							_this.updateTheme(event);
							$.modal().close();
						});
					} else {
						_this.updateTheme(event);
					}
				}					
			});
		}

		var spinner = '<div class="spinner_holder always_visible"><span class="spinner"><div></div><div></div></span></div>';
		
		$('.fribba-view-details-link').on('click', function(e) {
			e.preventDefault();
			
			$("body").prepend(spinner);			
			
			$.get(fribba_admin_data.ajax_url +'?'+ $.param({action:'wow_change_log'}), function(html) {
				$(".spinner_holder").remove();
				$(html).appendTo('body').modal();
			});								
		});
		
		$('.fribba-update-notice').each(function() {
			var $notice = $(this);
			
			$('.fribba-update-link', $notice).on('click', function(e) {
				e.preventDefault();
				var $link = $(this);
				$("body").prepend(spinner);

				$.get(fribba_admin_data.ajax_url +'?'+ $.param({action:'wow_theme_update_confirmation'}), function(html) {
					$(".spinner_holder").remove();
					$(html).appendTo('body').modal();
				});		
						
				$(document).on('change', '#fribba-confirm-checkbox', function() {
					$('#fribba-confirm-button').prop('disabled', !$(this).is(':checked'));
				});
				$(document).on('click', '#fribba-confirm-button', function(e) {
					e.preventDefault();
					window.location.href = $link.attr('href');
				});
			});
		});
		
		

		$(document).on($.modal.AFTER_CLOSE,'.fribba-update.modal' , function(event, modal) {
			$(this).remove();
		});		
})(jQuery);