<?php
$prefix = 'product_category_taxonomy_options';

//
// Create taxonomy options
CSF::createTaxonomyOptions( $prefix, array(
	'taxonomy'=> 'product_cat',
	'data_type' => 'unserialize', // The type of the database save options. `serialize` or `unserialize`
) );

  // Create a section
  CSF::createSection( $prefix, array(
    'title'  => esc_attr__( 'SEO','fribba' ),
	'icon' => 'fa fa-search',
    'fields' => array(	
		array(
		  'id'      => 'seo-title',
		  'type'    => 'text',
		  'title'   => esc_attr__( 'Title','fribba' ),
		  'desc' => esc_attr__( 'Add SEO title. Try to limit to 50-60 characters, to ensure your title will fully display on search engines.','fribba' ),
		),
		array(
		  'id'      => 'seo-desc',
		  'type'    => 'textarea',
		  'title'   => esc_attr__( 'Description','fribba' ),
		  'desc' => esc_attr__( 'Add SEO description. Try to limit to 50-160 characters, to ensure your description will fully display on search engines.','fribba' ),
		),	

    )
  ) ); 
