<?php
  // Create a section
  CSF::createSection( $prefix, array(
    'title'  => esc_attr__( 'CSS &amp; JS','fribba' ),
	'icon'   => 'fa fa-code',
    'fields' => array(
		array(
		  'id'       => 'css-editor',
		  'type'     => 'code_editor',
		  'title'     => esc_attr__( 'CSS Editor','fribba' ),
		  'desc'     => esc_attr__( 'Add custom css code to your theme. I.e .element{ color: #ffbc00; }','fribba' ),
		  'settings' => array(
			'theme'  => 'mbo',
			'mode'   => 'css',
		  ),
		  'default'  => '',
		),		
		array(
		  'id'       => 'js-editor',
		  'type'     => 'code_editor',
		  'title'     => esc_attr__( 'JS Editor','fribba' ),
		  'desc'     => esc_attr__( 'Add custom js code to your theme. I.e console.log("Hello world"); Do not forget to wrap your code inside <script></script>','fribba' ),
		  'settings' => array(
			'theme'  => 'monokai',
			'mode'   => 'javascript',
		  ),
		  'default'  => '',
		),
    )
  ) );