<?php
// Create a section
  CSF::createSection( $prefix, array(
    'title'  => esc_attr__( 'Freebies counter','fribba' ),
	'icon'   => 'fa fa-folder',
    'fields' => array(
		array(
		  'id'    => 'enable-freebies',
		  'type'  => 'switcher',
		  'title' => esc_attr__( 'Enable','fribba' ),
		  'desc' => esc_attr__( 'Enable the freebies box counter at the top of the page.','fribba' ),
		  'default' => '1',
		),
		array(
		  'id'         => 'freebies-counter',
		  'type'       => 'button_set',
		  'title'      => esc_attr__( 'Counter type','fribba' ),
		  'desc'      => esc_attr__( 'Select your counter type.','fribba' ),
		  'options'    => array(
			'static' => 'Static',
			'animated' => 'Animated',
		  ),
		  'default'    => 'static'
		),		
		array(
		  'id'         => 'freebies-plural',
		  'type'       => 'text',
		  'title'      => esc_attr__( 'Plural name for freebies','fribba' ),
		  'desc'      => esc_attr__( 'I.e Freebies','fribba' ),
		  'default'    => 'Freebies'
		),			
		array(
		  'id'         => 'freebies-singular',
		  'type'       => 'text',
		  'title'      => esc_attr__( 'Singular name for freebie','fribba' ),
		  'desc'      => esc_attr__( 'I.e Freebie','fribba' ),
		  'default'    => 'Freebie'
		),	
    )
  ) ); 