<?php
/**
 * Page template
 *
 * @package Fribba
 * @author WOW Layers
 * @link https://wowlayers.com
 */
get_header(); ?>
<?php if (have_posts()): while (have_posts()) : the_post(); ?>
<div class="breadcrumb-navigation">
	<h1 class="page-title"><?php the_title(); ?></h1>
	<?php wow_breadcrumb(); ?>
</div>
<div class="page-content">
<?php the_post_thumbnail(); the_content(); ?>
<?php wp_link_pages( array( 'before' => '<div class="pagination"><ul>' . esc_html__( 'Pages:', 'fribba' ),'after'  => '</ul></div>',));?>
<?php if ( comments_open() || get_comments_number() ) : comments_template(); endif;?>
<?php endwhile; ?>
<?php else: ?>
<article>
<h2><?php esc_html_e( 'Sorry, nothing to display.', 'fribba' ); ?></h2>
</article>
<?php endif; ?>
</div>
<?php get_footer(); ?>
<?php  ?>
