<?php
/**
 * Search template
 *
 * @package Fribba
 * @author WOW Layers
 * @link https://wowlayers.com
 */
get_header(); ?>

<div class="breadcrumb-navigation">
<h1 class="page-title"><?php echo esc_html( the_search_query() ); ?></h1>
<?php wow_breadcrumb(); ?>
</div>

<div class="articles wow-row"><!-- start .articles -->

<?php
if( have_posts() ) {
	while( have_posts() ) {
	the_post();
		get_template_part('templates/search'); 	
	}
	wow_pagination();
}//end if have_posts
else { ?>

<div id="search-no-result" class="top-info col-desktop-12 col-tablet-12 col-small-tablet-12 col-mobile-12"><!-- start .top-info-->
	<h2><?php echo esc_html__( 'Oh boy...','fribba' )?></h2>
	<h3><?php echo esc_html__( 'Nothing was found for ','fribba' ). esc_html( get_search_query() ); ?></h3>
	<a href="<?php echo esc_url( home_url() ); ?>">
		<button><?php echo esc_html__( 'Go to homepage','fribba' ) ?></button>
	</a>
</div><!-- end .top-info-->

<?php } ?>

</div><!-- end .articles-->

<?php get_footer(); ?>