<?php
if( class_exists( 'CSF' ) ) {
	
  // Set a unique slug-like ID
  $prefix = 'fribba_options';	
	
  // Create a section
  CSF::createSection( $prefix, array(
    'title'  => 'Tracking Code',
    'icon'   => 'fa fa-code',
    'fields' => array(
		array(
		  'id'       => 'tracking-code',
		  'type'     => 'code_editor',
		  'title'     => esc_attr__( 'Tracking code','fribba' ),
		  'desc'     => esc_attr__( 'Add tracking code like Gooogle Analytics','fribba' ),
		  'settings' => array(
			'theme'  => 'monokai',
			'mode'   => 'javascript',
		  ),
		  'default'  => '',
		),
    )
  ) );
}