<?php
/**
 * 404 page
 *
 * @package Fribba
 * @author WOW Layers
 * @link https://wowlayers.com
 */
get_header(); ?>

<div id="page-404"><!-- start #404-page-->
	<h1><?php echo esc_html__( 'Oh boy...','fribba' )?></h1>
	<h3><?php echo esc_html__( 'The page you are looking for seems to be missing.','fribba' ); ?></h3>
	<a href="<?php echo esc_url( home_url() ); ?>">
		<button><?php echo esc_html__( 'Go to homepage','fribba' ) ?></button>
	</a>
</div><!-- end #404-page-->

<?php get_footer(); ?>