<?php if ( wow_option( 'enable-subscribe' )  == '1' && !empty( wow_option( 'url-subscribe' ) ) ) { ?>
<div class="subscribe"><!-- start .subscribe -->
	<div class="icon-holder"><?php wow_svg( 'mail-open-line' ) ?></div>
	<div class="headline">
		<h3 class="primary-font color-1"><?php echo esc_html( wow_option( 'small-headline-subscribe' ) ); ?></h3>
		<p class="secondary-font"><?php echo esc_html( wow_option( 'headline-subscribe' ) ); ?></p>
	</div>
	<form method="post" action="<?php echo esc_url( wow_option( 'url-subscribe' ) ); ?>">
		<input type="email" name="MERGE0" required placeholder="<?php echo esc_attr( wow_option( 'placeholder-subscribe' ) ); ?>" aria-label="<?php esc_attr_e( 'Enter your email address.', 'fribba' ); ?>">
		<button class="submit" type="submit" aria-label="<?php esc_attr_e( 'Subscribe', 'fribba' ); ?>"><?php echo esc_html( wow_option( 'button-subscribe' ) ); ?></button>
		<?php wp_nonce_field( 'wow_subscribe', 'subscribe_nonce' ); ?>
	</form>
</div><!-- end .subscribe -->
<?php } ?>


</div><!-- end .site-grid-inner -->

<footer id="footer"><!-- start footer -->
	<div class="wow-row" id="footer-widgets">
			<div class="col-desktop-4 col-tablet-6 col-small-tablet-6 col-mobile-12"><?php dynamic_sidebar( 'footer-sidebar-1' ); ?></div>
			<div class="col-desktop-4 col-tablet-6 col-small-tablet-6 col-mobile-12"><?php dynamic_sidebar( 'footer-sidebar-2' ); ?></div>
			<div class="col-desktop-4 col-tablet-6 col-small-tablet-6 col-mobile-12"><?php dynamic_sidebar( 'footer-sidebar-3' ); ?></div>
	</div>
</footer><!-- end footer -->

</div><!-- end .site-grid -->

<?php if ( wow_option( 'enable-under-footer') == '1' ) { ?>
<div id="after-footer" class="align-center">
		<div class="footer-logo">
			<a href="<?php echo esc_url( home_url() ); ?>">
				<?php if ( wow_option( 'footer-logo-type' ) == 'text' && !empty ( wow_option( 'footer-logo-text' ) ) ) { ?>
					<h1><?php echo esc_html ( wow_option( 'footer-logo-text' ) ); ?></h1>
				<?php } elseif ( wow_option( 'footer-logo-type' ) == 'image' && !empty ( wow_option( 'footer-logo-image', 'url' ) ) ) { ?>
					<img src="<?php echo esc_url ( wow_option( 'footer-logo-image','url' ) ) ?>" alt="<?php echo esc_attr( get_bloginfo( 'name' ) ); ?>" >
				<?php } else { ?>
					<img src="<?php echo esc_url ( WOW_URI.'/images/footer-logo.png' ) ?>" alt="<?php echo esc_attr( get_bloginfo( 'name' ) ); ?>" >
				<?php } ?>
			</a>
		</div>
	<div class="social-and-search">
		<ul>
			<?php wow_output_social(); ?>				
		</ul>
	</div>
</div>
<?php } ?>

<?php wp_footer(); ?>
</body>
</html>