<?php
/**
 * The loop template for blog posts
 *
 * @package Fribba
 * @author WOW Layers
 * @link https://wowlayers.com
 */
get_header(); ?>

<?php get_template_part( 'templates/breadcrumb' ); ?>

<?php $wow_articles_grid = $wow_row_articles = '';
if ( wow_option( 'blog-layout' ) == 'grid-3' || wow_option( 'blog-layout' ) == 'grid-4' ){
	$wow_row_articles = ' wow-row ';
}
if ( wow_option( 'blog-layout' ) == 'grid-2' || wow_option( 'blog-layout' ) == 'grid-1' ){
	$wow_articles_grid = ' col-desktop-8 col-tablet-12 col-small-tablet-12 col-mobile-12 padding-left-0  padding-right-15 padding-right-tablet-0 padding-left-tablet-0 padding-right-mobile-0 padding-left-mobile-0';
}
?>
<?php if ( wow_option( 'blog-layout' ) == 'grid-2' || wow_option( 'blog-layout' ) == 'grid-1' ) {  ?> <div class="wow-row"><!-- start .wow-row --> <?php }  ?>

<div class="articles <?php echo esc_attr( $wow_row_articles ); echo esc_attr( wow_option( 'blog-layout' ) ); echo esc_attr( $wow_articles_grid ); ?>"><!-- start .articles -->

<?php if ( wow_option( 'blog-layout' ) == 'grid-2' || wow_option( 'blog-layout' ) == 'grid-1' ) {  ?> <div class="wow-inner-row"><!-- start .wow-inner-row --> <?php }  ?>

<?php wow_the_loop(); ?>

<?php if ( wow_option( 'blog-layout' ) == 'grid-2' || wow_option( 'blog-layout' ) == 'grid-1' ) {  ?> </div><!-- end .wow-inner-row --> <?php }  ?>
</div><!-- end .articles-->

<?php if ( wow_option( 'blog-layout' ) == 'grid-2' || wow_option( 'blog-layout' ) == 'grid-1' ) { ?>
<?php get_template_part('sidebar'); ?>
</div><!-- end .wow-row -->
<?php } ?>

<?php get_footer(); ?>