<?php
$prefix = 'fribba_product_options';
 // Create a metabox
  CSF::createMetabox( $prefix, array(
    'title'     => esc_attr__( 'Product options','fribba' ),
    'post_type' => 'product',
	'data_type' => 'unserialize',
  ) );
  
  // Create a section
  CSF::createSection( $prefix, array(
    'title'  => esc_attr__( 'SEO','fribba' ),
	'icon' => 'fa fa-search',
    'fields' => array(		
	array(
	  'id'      => 'seo-title',
	  'type'    => 'text',
	  'title'   => esc_attr__( 'Title','fribba' ),
	  'desc' => esc_attr__( 'Add SEO title. Try to limit to 50-60 characters, to ensure your title will fully display on search engines.','fribba' ),
	),
	array(
	  'id'      => 'seo-desc',
	  'type'    => 'textarea',
	  'title'   => esc_attr__( 'Description','fribba' ),
	  'desc' => esc_attr__( 'Add SEO description. Try to limit to 50-160 characters, to ensure your description will fully display on search engines.','fribba' ),
	),	

    )
  ) );