<?php
  // Create a section
  CSF::createSection( $prefix, array(
    'title'  => esc_attr__( 'Social','fribba' ),
	'icon'   => 'fa fa-share-alt',
    'fields' => array(	
		array(
		  'id'      => 'facebook',
		  'type'    => 'text',
		  'title'   => esc_attr__( 'Facebook url','fribba' ),
		  'desc'   => esc_attr__( 'Do not forget http://','fribba' ),
		  'default'    => '#'		  
		),		
		array(
		  'id'      => 'twitter',
		  'type'    => 'text',
		  'title'   => esc_attr__( 'Twitter url','fribba' ),
		  'desc'   => esc_attr__( 'Do not forget http://','fribba' ),
		  'default'    => '#'		  
		),					
		array(
		  'id'      => 'youtube',
		  'type'    => 'text',
		  'title'   => esc_attr__( 'Youtube url','fribba' ),
		  'desc'   => esc_attr__( 'Do not forget http://','fribba' ),
		  'default'    => ''		  
		),	
		array(
		  'id'      => 'linkedin',
		  'type'    => 'text',
		  'title'   => esc_attr__( 'Linkedin url','fribba' ),
		  'desc'   => esc_attr__( 'Do not forget http://','fribba' ),
		  'default'    => ''		  
		),
		array(
		  'id'      => 'pinterest',
		  'type'    => 'text',
		  'title'   => esc_attr__( 'Pinterest url','fribba' ),
		  'desc'   => esc_attr__( 'Do not forget http://','fribba' ),
		  'default'    => ''		  
		),
		array(
		  'id'      => 'dribbble',
		  'type'    => 'text',
		  'title'   => esc_attr__( 'Dribbble url','fribba' ),
		  'desc'   => esc_attr__( 'Do not forget http://','fribba' ),
		  'default'    => ''		  
		),
		array(
		  'id'      => 'instagram',
		  'type'    => 'text',
		  'title'   => esc_attr__( 'Instagram url','fribba' ),
		  'desc'   => esc_attr__( 'Do not forget http://','fribba' ),
		  'default'    => ''		  
		),
		array(
		  'id'      => 'behance',
		  'type'    => 'text',
		  'title'   => esc_attr__( 'Behance url','fribba' ),
		  'desc'   => esc_attr__( 'Do not forget http://','fribba' ),
		  'default'    => ''		  
		),		
    )
  ) );