<?php
  // Create a section
  CSF::createSection( $prefix, array(
    'title'  => esc_attr__( 'Subscribe','fribba' ),
	'icon'   => 'fa fa-envelope-open',
    'fields' => array(	
		array(
		  'id'      => 'enable-subscribe',
		  'type'    => 'switcher',
		  'title'   => esc_attr__( 'Display subscribe box','fribba' ),
		  'desc'   => esc_attr__( 'It will display the subscribe box above footer','fribba' ),
		  'default'    => '1',	  
		),			
		array(
		  'id'      => 'small-headline-subscribe',
		  'type'    => 'text',
		  'title'   => esc_attr__( 'Small headline','fribba' ),
		  'desc'   => esc_attr__( 'Add a small headline. I.e. Want more freebies?','fribba' ),
		  'default'    => 'Want more freebies?',	  
		),			
		array(
		  'id'      => 'headline-subscribe',
		  'type'    => 'textarea',
		  'title'   => esc_attr__( 'Headline','fribba' ),
		  'desc'   => esc_attr__( 'Add a headline. I.e. Subscribe To Fribba And Get The Latest Releases Straight To Your Inbox.','fribba' ),
		  'default'    => 'Subscribe To Fribba And Get The Latest Releases Straight To Your Inbox.',	  
		),				
		array(
		  'id'      => 'placeholder-subscribe',
		  'type'    => 'text',
		  'title'   => esc_attr__( 'Input placeholder','fribba' ),
		  'desc'   => esc_attr__( 'Add a text in the input placeholder. I.e. Enter email here. We never spam.','fribba' ),
		  'default'    => 'Enter email here. We never spam.',	  
		),			
		array(
		  'id'      => 'button-subscribe',
		  'type'    => 'text',
		  'title'   => esc_attr__( 'Button text','fribba' ),
		  'desc'   => esc_attr__( 'Add a button text. I.e. Go for it!','fribba' ),
		  'default'    => 'Go for it!',	  
		),			
		array(
		  'id'      => 'bg-subscribe',
		  'type'    => 'background',
		  'title'   => esc_attr__( 'Background','fribba' ),
		  'desc'   => esc_attr__( 'Add a background to subscribe box','fribba' ),
		  'default'                         => array(
			'background-color'              => '',
			'background-gradient-color'     => '',
			'background-gradient-direction' => '',
			'background-size'               => '',
			'background-position'           => '',
			'background-repeat'             => '',
			'background-image'             => '',
		  ),			  
		  'output' => '.subscribe'		  
		),			
		array(
		  'id'      => 'url-subscribe',
		  'type'    => 'text',
		  'title'   => esc_attr__( 'Mailchimp Subscribe URL','fribba' ),
		  'desc'   => esc_attr__( 'Add your subscribe URL. I.e https://gmail.us20.list-manage.com/subscribe?u=f66238945f73ad2ceb27a54af&id=eeaa7486f7','fribba' ),
		  'default'    => '#',	  
		),		
	
    )
  ) );