<?php
  // Create a section
  CSF::createSection( $prefix, array(
    'title'  => esc_attr__( 'Typography','fribba' ),
	'icon'   => 'fa fa-text-height',
    'fields' => array(
		array(
		  'id'         => 'body-typography',
		  'type'       => 'typography',
		  'title'      => esc_attr__( 'Body font','fribba' ),
		  'desc'      => esc_attr__( 'Select your body font','fribba' ),
		  'subset' => false,
		  'text_align' => false,
		  'text_transform' => false,
		  'font_size' => false,
		  'line_height' => false,
		  'letter_spacing' => false,
		  'color' => false,
		  'default' => array(
				'font-family'    => 'Roboto',
				'font-weight'    => '400',
				'type'           => 'google',
				'unit'           => 'px',
		  ),
		),			
		array(
		  'id'         => 'heading-typography',
		  'type'       => 'typography',
		  'title'      => esc_attr__( 'Heading font','fribba' ),
		  'desc'      => esc_attr__( 'Select your heading font','fribba' ),
		  'subset' => false,
		  'text_align' => false,
		  'text_transform' => false,
		  'font_size' => false,
		  'line_height' => false,
		  'letter_spacing' => false,
		  'color' => false,		  
		  'default' => array(
				'font-family'    => 'Rubik',
				'font-weight'    => '500',
				'type'           => 'google',
				'unit'           => 'px',
		  ),
		),
		array(
			  'id'    => 'enable-mobile-typography',
			  'type'  => 'switcher',
			  'title' => esc_attr__( 'Enable on mobile devices', 'fribba' ),
			  'desc' => esc_attr__( 'On mobile devices, we recommend using operating system built-in fonts, as it will dramatically increase your page speed. Enable this option if you want the fonts chosen above to be applied for mobile devices as well','fribba' ),
			  'default' => '0'
		),		
		
    )
  ) );