<?php 
  // Create a section
  CSF::createSection( $prefix, array(
    'id'  => 'woo',
    'title'  => esc_attr__( 'WooCommerce','fribba' ),
	'icon'   => 'fa fa-cart-arrow-down',
    'fields' => array(
		array(
		  'id'         => 'shop-layout',
		  'type'       => 'button_set',
		  'title'      => esc_attr__( 'Shop layout','fribba' ),
		  'desc'      => esc_attr__( 'Select your shop layout type.','fribba' ),
		  'options'    => array(
			'grid-4' => 'Grid 4',
			'grid-3' => 'Grid 3',
			'grid-2-sidebar' => 'Grid 2 With Sidebar',
			'grid-3-sidebar' => 'Grid 3 With Sidebar',
		  ),
		  'default'    => 'grid-3'
		),			
		array(
		  'id'         => 'shop-per-page',
		  'type'       => 'text',
		  'title'      => esc_attr__( 'Products per page','fribba' ),
		  'desc'      => esc_attr__( 'Enter how many products per page should the shop page display. Enter -1 to display all products.','fribba' ),
		  'default'    => '9'
		),	
    )
  ) );