<?php if ( !wow_is_home_or_front() ) { ?> 
<div class="breadcrumb-navigation">
<?php if ( is_category() ) { ?>
<h1 class="page-title"><?php single_cat_title(); ?></h1>
<?php wow_cat_breadcrumb(); ?>
<?php } ?>

<?php if ( is_author() ) { ?>
<div class="author-box"><!-- start .author-box -->
	<div class="author"><?php echo wow_author_avatar(); ?></div>
	<h3 class="primary-font color-1"><?php esc_attr_e('About author','fribba'); ?></h3>
	<h1><?php echo esc_html( wow_author_info( 'nickname' ) ); ?></h1>
	<p><?php echo esc_html( wow_author_info( 'description' ) ); ?></p>
	<?php if ( wow_author_has_social() == true ) { ?>
	<div class="social-and-search">
		<ul><?php wow_output_social_author(); ?></ul>
	</div>
	<?php } ?>
</div><!-- end .author-box -->
<?php } ?>

<?php if ( is_tag() ) { ?>
<h1 class="page-title"><?php single_tag_title(); ?></h1>
<?php wow_breadcrumb(); ?>
<?php } ?>

<?php if ( is_year() ) { ?>
<h1 class="page-title"><?php echo esc_html( get_the_time('Y') ); ?></h1>
<?php wow_breadcrumb(); ?>
<?php } ?>

<?php if ( is_month() ) { ?>
<h1 class="page-title"><?php echo esc_html( get_the_time('F') ).' '.esc_html( get_the_time('Y') ); ?></h1>
<?php wow_breadcrumb(); ?>
<?php } ?>

<?php if ( is_day() ) { ?>
<h1 class="page-title"><?php echo esc_html( get_the_time('d') ).' '.esc_html( get_the_time('F') ).' '.esc_html( get_the_time('Y') ); ?></h1>
<?php wow_breadcrumb(); ?>
<?php } ?>
</div>
<?php } ?> 